
QGIS Application - Bug report #5709

/usr/bin/qgis.bin: symbol lookup error: /usr/bin/qgis.bin: undefined symbol: 

_ZN11QgsMapLayer3crsEv

2012-06-01 10:41 AM - Jorge Rocha

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 15233

Description

Hi,

I need to investigate this issue further, but write now qgis crashes after adding a layer (tested with postgis layer and shapefile layer).

The output in the command line is:

/usr/bin/qgis.bin: symbol lookup error: /usr/bin/qgis.bin: undefined symbol: _ZN11QgsMapLayer3crsEv

Today I've installed osmosis, from the repositories, in the same machine.

I don't know what this is, but it really crashes qgis an it became completely unusable.

I'm reporting this issue, just in case someone else also find this problem.

QGIS version 1.8.0-Lisboa

QGIS code revision exported

Compiled against Qt 4.8.1

Running against Qt 4.8.1

Compiled against GDAL/OGR 1.7.3

Running against GDAL/OGR 1.7.3

GEOS Version 3.2.2

PostgreSQL Client Version 9.1.3

SpatiaLite Version 3.0.0-beta

QWT Version 5.2.2

$ dpkg -l | grep qgis

ii  libqgis1.8.0                             1.9.90+git20120530+056300f~precise1                Quantum GIS - shared libraries

ii  python-qgis                              1.9.90+git20120530+056300f~precise1                Python bindings to Quantum GIS

ii  python-qgis-common                       1.9.90+git20120530+056300f~precise1                Python bindings to Quantum GIS -

architecture-independent files

ii  qgis                                     1.9.90+git20120522+c367a35~precise1                Geographic Information System (GIS)

ii  qgis-common                              1.9.90+git20120522+c367a35~precise1                Quantum GIS - architecture-independent data

ii  qgis-plugin-globe                        1.9.90+git20120522+c367a35~precise1                OSG globe plugin for Quantum GIS

ii  qgis-plugin-globe-common                 1.9.90+git20120522+c367a35~precise1                OSG GLOBE plugin for Quantum GIS -

architecture-independent data

ii  qgis-plugin-grass                        1.9.90+git20120522+c367a35~precise1                GRASS plugin for Quantum GIS

ii  qgis-plugin-grass-common                 1.9.90+git20120522+c367a35~precise1                GRASS plugin for Quantum GIS -
architecture-independent data

ii  qgis-providers                           1.9.90+git20120522+c367a35~precise1                collection of data providers to Quantum GIS

ii  qgis-providers-common                    1.9.90+git20120522+c367a35~precise1                collection of data providers to Quantum

GIS - architecture-independent files

$ dpkg -l | grep osmosis

ii  osmosis                                  0.40.1+ds1-3                                       Command line OpenStreetMap data processor

History

#1 - 2012-06-01 10:50 AM - Salvatore Larosa

Have a look here

Seems the same issue!

#2 - 2012-06-01 10:53 AM - Paolo Cavallini

Please try the solution indicated in the mail and give us feedback. Thanks.

#3 - 2012-06-01 11:01 AM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

The version of all qgis packages should match - apparently you are using some packages from 2012.05.30 and some from 2012.05.22.   Either upgrade or

downgrade...

#4 - 2012-06-02 03:15 AM - Jorge Rocha

Thank you Jürgen,

For some reason the package manager updated the libqgis without updating the rest. Now the qgis and the library are from the same compilation, and no

more undefined symbols.

$ dpkg -l | grep qgis

ii  libqgis1.8.0                             1.9.90+git20120531+cd97d82~precise1                Quantum GIS - shared libraries

ii  python-qgis                              1.9.90+git20120531+cd97d82~precise1                Python bindings to Quantum GIS

ii  python-qgis-common                       1.9.90+git20120531+cd97d82~precise1                Python bindings to Quantum GIS - architecture-independent files

ii  qgis                                     1.9.90+git20120531+cd97d82~precise1                Geographic Information System (GIS)

ii  qgis-common                              1.9.90+git20120531+cd97d82~precise1                Quantum GIS - architecture-independent data

ii  qgis-plugin-globe                        1.9.90+git20120531+cd97d82~precise1                OSG globe plugin for Quantum GIS

ii  qgis-plugin-globe-common                 1.9.90+git20120531+cd97d82~precise1                OSG GLOBE plugin for Quantum GIS - architecture-independent

data

ii  qgis-plugin-grass                        1.9.90+git20120531+cd97d82~precise1                GRASS plugin for Quantum GIS

ii  qgis-plugin-grass-common                 1.9.90+git20120531+cd97d82~precise1                GRASS plugin for Quantum GIS - architecture-independent data

ii  qgis-providers                           1.9.90+git20120531+cd97d82~precise1                collection of data providers to Quantum GIS

ii  qgis-providers-common                    1.9.90+git20120531+cd97d82~precise1                collection of data providers to Quantum GIS -

architecture-independent files
http://lists.osgeo.org/pipermail/qgis-developer/2012-May/020401.html
